Passer au contenu principal
GET
/
v1
/
monitors
/
{monitor_id}
/
events
Lister les Événements du Moniteur
curl --request GET \
  --url https://api.olostep.com/v1/monitors/{monitor_id}/events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "run_id": "<string>",
      "created": 123,
      "changed": true,
      "summary": "<string>",
      "snapshot_url": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "total_count": 123
}

Autorisations

Authorization
string
header
requis

En-tête d'authentification Bearer de la forme Bearer , où est ton jeton d'authentification.

Paramètres de chemin

monitor_id
string
requis
Pattern: ^monitor_

Paramètres de requête

limit
integer
défaut:25
Plage requise: 1 <= x <= 100
cursor
string

Curseur opaque de next_cursor.

count_only
enum<string>

Quand vrai, retourne seulement { "total_count": N }.

Options disponibles:
true,
1

Réponse

Page ou nombre d'événements.

data
object[]
has_more
boolean
next_cursor
string | null
total_count
integer